/// \file config.h
/// \brief Hardware I/O definitions.
/// \copyright Copyright (c) 2016, Garth Zeglin.  All rights reserved. Licensed
///            under the terms of the BSD 3-clause license.

#ifndef __CONFIG_H_INCLUDED__
#define __CONFIG_H_INCLUDED__

/// Configure the number of pneumatic axes.  The total number of
/// valves depends upon the channel configuration.
#define NUM_JOINTS 2

// The following specify the essential digital I/O pin assignments using the
// standard Arduino pin numbering scheme.

/// Active-high output pin to drive the joint 1 pneumatic fill valve.
#define J1_FILL_PIN 3

/// Active-high output pin to drive the joint 1 pneumatic empty valve.
#define J1_EMPTY_PIN 2

/// Define true if joint 1 fill is a proportional valve.
#define J1_FILL_PROPORTIONAL false

/// Active-high output pin to drive the joint 2 pneumatic fill valve.
#define J2_FILL_PIN 5

/// Active-high output pin to drive the joint 2 pneumatic empty valve.
#define J2_EMPTY_PIN 4

#endif // __CONFIG_H_INCLUDED__
